AjaxPageTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.ajax4jsf.taglib.html.jsp.AjaxPageTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class AjaxPageTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.taglib.html.jsp.AjaxRegionTag
                  org.ajax4jsf.taglib.html.jsp.AjaxPageTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AjaxPageTag

extends AjaxRegionTag

Author:
  shura Other variant of AJAX View - render full html page with root
  , ( filled from "head" facet ) and
  areas.

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AjaxPageTag()`

Method Summary
`java.lang.String` | `getOnload()`
`java.lang.String` | `getOnunload()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setOnload(java.lang.String onload)`
`void` | `setOnunload(java.lang.String onunload)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`

Methods inherited from class org.ajax4jsf.taglib.html.jsp.AjaxRegionTag
`getComponentType, setAjaxListener, setImmediate, setJavascriptLocation, setReRender, setSelfRendered`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxPageTag

    public AjaxPageTag()

Method Detail

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `AjaxRegionTag`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `AjaxRegionTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `AjaxRegionTag`

### getOnload

    public java.lang.String getOnload()

  Returns:
    Returns the onload.

### getOnunload

    public java.lang.String getOnunload()

  Returns:
    Returns the onunload.

### setOnload

    public void setOnload(java.lang.String onload)

  Parameters:
    `onload` - The onload to set.

### setOnunload

    public void setOnunload(java.lang.String onunload)

  Parameters:
    `onunload` - The onunload to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.